# Uses of Class
com.github.lgooddatepicker.zinternaltools.CustomPopup

Packages that use CustomPopup
Package
Description
com.github.lgooddatepicker.components
com.github.lgooddatepicker.zinternaltools

## Uses of CustomPopup in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components with parameters of type CustomPopup
Modifier and Type
Method
Description
`void`
DatePicker.`zEventCustomPopupWasClosed(CustomPopup popup)`
zEventCustomPopupWasClosed, This is called automatically whenever the CustomPopup that is associated with this date picker is closed.
`void`
TimePicker.`zEventCustomPopupWasClosed(CustomPopup popup)`
zEventCustomPopupWasClosed, This is called automatically whenever the CustomPopup that is associated with this time picker is closed.

## Uses of CustomPopup in com.github.lgooddatepicker.zinternaltools

Methods in com.github.lgooddatepicker.zinternaltools with parameters of type CustomPopup
Modifier and Type
Method
Description
`void`
CustomPopup.CustomPopupCloseListener.`zEventCustomPopupWasClosed(CustomPopup popup)`
zEventCustomPopupWasClosed, This will be called whenever the CustomPopup is closed, either internally or externally.